/* Elvira Bluetooth FTP 
 * Copyright (C) 2007  Alberto Salas Bragado
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "presentation/common_gtk.h"
#include "presentation/callbacks.h"

int main(int argc, char *argv[]) {
	
	device_t *favorites;
	int numfavorites;
	
	gtk_init(&argc, &argv);

	/* Cargar las ventanas y widgets */
	initWidgets();
	
	/* Cargar favoritos */
	loadFavorites(&favorites, &numfavorites);
	poblateDeviceList(lstFavoritos, favorites, numfavorites);

	/* Logeo del inicio de la aplicación */
	l("Inicio de la aplicación");

	/* Iniciar el ciclo principal */
	gtk_main();

	return 0;
}
